Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1mZzJxLXY0MjgtMmdwaM4AAggA

Eclipse Vorto resolved Maven build artifacts for the Xtext project over HTTP instead of HTTPS

Eclipse Vorto versions prior to 0.11 resolved Maven build artifacts for the Xtext project over HTTP instead of HTTPS. Any of these dependent artifacts could have been maliciously compromised by a MITM attack. Hence produced build artifacts of Vorto might be infected.

Permalink: https://github.com/advisories/GHSA-fg2q-v428-2gph
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1mZzJxLXY0MjgtMmdwaM4AAggA
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: almost 2 years ago
Updated: over 1 year ago


CVSS Score: 8.1
CVSS vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Identifiers: GHSA-fg2q-v428-2gph, CVE-2019-10248
References: Blast Radius: 4.9

Affected Packages

maven:org.eclipse.vorto:org.eclipse.vorto.core
Dependent packages: 30
Dependent repositories: 4
Downloads:
Affected Version Ranges: < 0.11.0
Fixed in: 0.11.0
All affected versions: 0.9.0, 0.10.0, 0.10.1
All unaffected versions: 0.11.0, 0.11.1, 0.11.2, 0.11.3, 0.12.0, 0.12.1, 0.12.2, 0.12.3, 0.12.4, 0.12.5, 0.12.6, 1.0.0